import { Component } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Store } from '@ngrx/store';
import * as appCommonActions from '../../actions/app-common.actions';
import * as appCommonReducers from '../../reducers/app-common.reducer';



@Component({
  selector: 'fm-session-cleared',
  templateUrl: 'session-cleared.component.html',
  styleUrls: ['session-cleared.component.scss']
})


export class SessionClearedComponent  {
  
  constructor(private route: ActivatedRoute, private store: Store<appCommonReducers.State>) {
  }

  handleLoginClick() {
    this.store.dispatch(new appCommonActions.Login(this.route.snapshot.queryParamMap.get('redirectTo')));
  }
}
