/* eslint-disable @typescript-eslint/no-unused-vars */
import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';

import { Store } from '@ngrx/store';

import * as appCommonActions from '../actions/app-common.actions';
import * as appCommonReducer from '../reducers/app-common.reducer';


@Injectable({
  providedIn: 'root',
})
export class NavBarGuard  {

  constructor(private store: Store<appCommonReducer.State>) { }

  setNavBar():boolean {
    this.store.dispatch(new appCommonActions.ShowNavBar());
    return true;
  }

  canActivate(_route: ActivatedRouteSnapshot, _state: RouterStateSnapshot): boolean {
    return this.setNavBar();
  } 

  canActivateChild(_route: ActivatedRouteSnapshot, _state: RouterStateSnapshot): boolean {
    return this.setNavBar();
  } 
}
